bio-0.5.2: A bioinformatics library

Safe Haskell | Safe-Inferred

Bio.Location.Strand

Description

Utilities for manipulating nucleotide sequences and locations on nucleotide sequences that occur on a forward or a reverse-complement strand.

Synopsis

- data Strand
  - = Fwd
  - | RevCompl
- class Stranded s where
  - revCompl :: s -> s
- stranded :: Stranded s => Strand -> s -> s

# Documentation

data Strand

Sequence strand

Constructors

Fwd |
RevCompl |

Instances

Bounded Strand |
Enum Strand |
Eq Strand |
Ord Strand |
Read Strand |
Show Strand |
Ix Strand |
Stranded Strand |

class Stranded s where

A nucleotide sequence or location on a nucleotide sequence that lies on a specific strand and has an orientation.

Methods

revCompl :: s -> s

Instances

Stranded Char |
Stranded ByteString |
Stranded Strand |
Stranded Pos |
Stranded ContigLoc |
Stranded Loc |

stranded :: Stranded s => Strand -> s -> s

Convert the orientation of a `Stranded` thing based on a specified `Strand`